import 'package:json_annotation/json_annotation.dart';
import 'package:mypoint_flutter_app/screen/voucher/models/product_model.dart';

part 'search_product_response_model.g.dart';
@JsonSerializable()
class SearchProductResponseModel {
  final List<ProductModel>? products;
  final int? total;

  SearchProductResponseModel({this.products, this.total});
  factory SearchProductResponseModel.fromJson(Map<String, dynamic> json) => _$SearchProductResponseModelFromJson(json);
  Map<String, dynamic> toJson() => _$SearchProductResponseModelToJson(this);
}